Subject: Bug#858059: mailutils: movemail crashes: Numerical result out of range

From: Joonas Kylmälä <[email-masked]>
Date: Fri, 17 Mar 2017 22:25:20 +0200

Package: mailutils
Version: 1:3.1.1-1
Severity: normal

Dear Maintainer,

I tried to fetch my email with movemail from Gmail:
user@host:~/.mail$ movemail imaps://[email-masked] GMAIL
Imap Passwd:
movemail: cannot append message 511: Numerical result out of range

However, after downloading around 2MB of mail I get the above "Numerical result out of range" error message and mail downloading stops. Then to continue downloading I need to run the command again, every ~2MB. I expect it to download all my mail at once and without any errors.

-Joonas

-- System Information:
Debian Release: 9.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 4.8.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages mailutils depends on:
ii  exim4-daemon-light [mail-transport-agent]  4.88-5
ii  guile-2.0-libs                             2.0.13+1-4
ii  libc6                                      2.24-9
ii  libfribidi0                                0.19.7-1+b1
ii  libgc1c2                                   1:7.4.2-8
ii  libgnutls30                                3.5.8-3
ii  libgsasl7                                  1.8.0-8+b2
ii  libkyotocabinet16v5                        1.2.76-4.2+b1
ii  libldap-2.4-2                              2.4.44+dfsg-3
ii  libmailutils5                              1:3.1.1-1
ii  libncurses5                                6.0+20161126-1
ii  libpam0g                                   1.1.8-3.5
ii  libpython2.7                               2.7.13-2
ii  libreadline7                               7.0-2
ii  libtinfo5                                  6.0+20161126-1
ii  libwrap0                                   7.6.q-26
ii  mailutils-common                           1:3.1.1-1

mailutils recommends no packages.

Versions of packages mailutils suggests:
pn  mailutils-doc  <none>
pn  mailutils-mh   <none>

-- no debconf information